s4: add blackbox test for the demote function
authorMatthieu Patou <mat@matws.net>
Sun, 4 Dec 2011 23:43:09 +0000 (00:43 +0100)
committerMatthieu Patou <mat@matws.net>
Mon, 5 Dec 2011 17:23:07 +0000 (18:23 +0100)
source4/selftest/tests.py
source4/utils/tests/test_demote.sh [new file with mode: 0755]

index fee0f372ce29da9ee9fc93ba6f2407db35f966d0..15ff7a9894c5fd0ae1ff5b990ccf0bd63da4693f 100755 (executable)
@@ -513,6 +513,8 @@ plantestsuite("samba4.blackbox.provision-backend", "none", ["PYTHON=%s" % python
 # Test renaming the DC
 plantestsuite("samba4.blackbox.renamedc.sh", "none", ["PYTHON=%s" % python, os.path.join(bbdir, "renamedc.sh"), '$PREFIX/provision'])
 
+# Demote the vampire DC, it must be the last test on the VAMPIRE DC
+plantestsuite("samba4.blackbox.samba_tool_demote(vampire_dc)", "vampire_dc", [os.path.join(samba4srcdir, "utils/tests/test_demote.sh"), '$SERVER', '$SERVER_IP', '$USERNAME', '$PASSWORD', '$DOMAIN', '$DC_SERVER', '$PREFIX/vampire_dc'])
 # check the databases are all OK. PLEASE LEAVE THIS AS THE LAST TEST
 for env in ["dc", "fl2000dc", "fl2003dc", "fl2008r2dc"]:
     plantestsuite("samba4.blackbox.dbcheck(%s)" % env, env + ":local" , ["PYTHON=%s" % python, os.path.join(bbdir, "dbcheck.sh"), '$PREFIX/provision', configuration])
diff --git a/source4/utils/tests/test_demote.sh b/source4/utils/tests/test_demote.sh
new file mode 100755 (executable)
index 0000000..3b2b7d2
--- /dev/null
@@ -0,0 +1,38 @@
+#!/bin/sh
+# Blackbox tests for samba-tool
+
+SERVER=$1
+SERVER_IP=$2
+USERNAME=$3
+PASSWORD=$4
+DOMAIN=$5
+DC=$6
+PROV=$7
+shift 7
+
+failed=0
+
+samba4bindir="$BINDIR"
+smbclient="$samba4bindir/smbclient$EXEEXT"
+samba_tool="$samba4bindir/samba-tool$EXEEXT"
+
+testit() {
+       name="$1"
+       shift
+       cmdline="$*"
+       echo "test: $name"
+       $cmdline
+       status=$?
+       if [ x$status = x0 ]; then
+               echo "success: $name"
+       else
+               echo "failure: $name"
+               failed=`expr $failed + 1`
+       fi
+       return $status
+}
+
+
+testit "demote" $VALGRIND $samba_tool domain demote --server $DC -s $PROV/etc/smb.conf -W "$DOMAIN" -U"$USERNAME%$PASSWORD"
+
+exit $failed